Name:		wxmp3gain
Summary:	Free front-end for the MP3gain
Version:	4.2
Release:	%mkrel 2
Group:		Sound/Utilities
License:	GPLv3
Url:		https://sourceforge.net/projects/wxmp3gain
Source0:	https://sourceforge.net/projects/wxmp3gain/files/%{version}/%{name}-%{version}.tar.gz
BuildRequires:	cmake
BuildRequires:	wxgtk-devel
Requires:	mp3gain

%description
wxMP3gain is a free front-end for the MP3gain.

%prep
%autosetup -p1

# Remove deprecated entry
sed -e "/^Encoding=/d" -i debian/menu/app.desktop.in

# Enable debug info files generation
sed -e "s/-ansi -s/-ansi/g" -i CMakeLists.txt

%build
%cmake
%cmake_build

%install
%cmake_install

rm -rf %{buildroot}%{_docdir}/%{name}/COPYING

%files
%license doc/COPYING
%doc doc/AUTHORS.md doc/CHANGELOG.md doc/README.md
%doc doc/TODO.md doc/screenshot.png
%{_bindir}/%{name}
%{_iconsdir}/hicolor/*/apps/wxmp3gain.png
%{_datadir}/%{name}/
%{_datadir}/applications/wxmp3gain.desktop


%changelog
* Mon Jun 30 2025 umeabot <umeabot> 4.2-2.mga10
+ Revision: 2229796
- Mageia 10 Mass Rebuild

* Tue Nov 05 2024 daviddavid <daviddavid> 4.2-1.mga10
+ Revision: 2112504
- new version: 4.2 (thanks to  Aurelian R, #mga#33721)
- switch to cmake build system

* Fri Apr 01 2022 umeabot <umeabot> 2.4.3-7.mga9
+ Revision: 1839393
- Mageia 9 Mass Rebuild
+ danf <danf>
- Switch URLs from http: to https:

* Fri Feb 14 2020 umeabot <umeabot> 2.4.3-6.mga8
+ Revision: 1518404
- Mageia 8 Mass Rebuild

* Sun Sep 23 2018 umeabot <umeabot> 2.4.3-5.mga7
+ Revision: 1301728
- Mageia 7 Mass Rebuild

* Sat Feb 06 2016 umeabot <umeabot> 2.4.3-4.mga6
+ Revision: 941829
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 2.4.3-3.mga5
+ Revision: 739750
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.4.3-2.mga5
+ Revision: 690387
- Mageia 5 Mass Rebuild

* Sat Feb 22 2014 wally <wally> 2.4.3-1.mga5
+ Revision: 595606
- imported package wxmp3gain

